/****************************************************************
*								
*			C++ Contrail Routines				
*			by Pran Mukherjee
*			pran@umich.edu
*			http://www.erim-int.com/~pran
*			04/15/00
*								
****************************************************************/

#ifndef _Contrail_h
#define _Contrail_h 1

#include "ParticleAPI.h"
#include "ParticleSys.h"
#include "RootSystem.h"
#include "Vectors.h"

extern float dt;

class Contrail : public ParticleSys
{
public:
	//	Constructor
	Contrail(int max_p, float pos[], float vel[]);
	// Destructor
	~Contrail();

	S_UpdateSystem(float dt);		/* This is overriding a virtual function in ParticleSys */
};

#endif
