/****************************************************************
*								
*			C++ Firework Routines				
*			by Pran Mukherjee
*			pran@umich.edu
*			http://www.erim-int.com/~pran
*			04/15/00
*								
****************************************************************/

#ifndef _Firework_h
#define _Firework_h 1

#include "ParticleAPI.h"
#include "ParticleSys.h"

extern float dt;

class Firework : public ParticleSys
{
public:
	//	Constructor
	Firework(int max_p, float pos[], float vel[]);
	// Destructor
	~Firework();

	S_UpdateSystem(float dt);		/* This is overriding a virtual function in ParticleSys */
	S_InitFirework(float fuel);	
};

#endif
